Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Interface SemanticController

All Known Implementing Classes:
  DefaultSemanticController

public interface SemanticController

Field Summary
`static java.lang.String` | `ERROR_CAN_NOT_CLONE_NODE`
`static java.lang.String` | `ERROR_NODE_IS_DUPLICATED`

Method Summary
`boolean` | `canAccept(Compartment compartment, java.lang.Class c)`
`boolean` | `canAccept(Compartment compartment, DiagramElement de)`
`DiagramElement` | `createInstance(Compartment compartment, java.lang.Class type, java.awt.Point point, ViewEditorPane viewEditor)`
`boolean` | `isResizable(DiagramElement diagramElement)`
`java.awt.Dimension` | `move(Node node, Compartment parent, java.awt.Dimension offset)` Moves the specified node to the specified position.
`boolean` | `remove(DiagramElement de)` Removes the diagram element and all related edges.

Field Detail

### ERROR_CAN_NOT_CLONE_NODE

    public static final java.lang.String ERROR_CAN_NOT_CLONE_NODE

See Also:
  Constant Field Values

### ERROR_NODE_IS_DUPLICATED

    public static final java.lang.String ERROR_NODE_IS_DUPLICATED

See Also:
  Constant Field Values

Method Detail

### canAccept

    public boolean canAccept(Compartment compartment,
                             java.lang.Class c)

### canAccept

    public boolean canAccept(Compartment compartment,
                             DiagramElement de)

### move

    public java.awt.Dimension move(Node node,
                                   Compartment parent,
                                   java.awt.Dimension offset)
                            throws java.lang.Exception

  Moves the specified node to the specified position. If neccessary compartment can be changed.

  Parameters:
    `node` - the diagram node
    `offset` - distance for which node should be moved relative its initial location.
  Throws:
    `java.lang.Exception`

### remove

    public boolean remove(DiagramElement de)
                   throws java.lang.Exception

  Removes the diagram element and all related edges.

  Throws:
    `java.lang.Exception`

### isResizable

    public boolean isResizable(DiagramElement diagramElement)

### createInstance

    public DiagramElement createInstance(Compartment compartment,
                                         java.lang.Class type,
                                         java.awt.Point point,
                                         ViewEditorPane viewEditor)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.